/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");

notification {
  color: InfoText;
  background-color: InfoBackground;
  text-shadow: none;
  border-top: 1px solid ThreeDShadow;
  border-bottom: 1px solid ThreeDShadow;
}

notificationbox[notificationside="top"] > notification {
  border-top-style: none;
}

notificationbox[notificationside="bottom"] > notification {
  border-bottom-style: none;
}

notification[type="info"] {
  color: -moz-DialogText;
  background-color: -moz-Dialog;
}

notification[type="critical"] {
  color: white;
  background-image: linear-gradient(rgb(212,0,0), rgb(152,0,0));
}

.messageText > .text-link {
  color: inherit !important;
  text-decoration: underline;
}

.messageImage {
  width: 16px;
  height: 16px;
  -moz-margin-start: 6px;
  -moz-margin-end: 1px;
}

/* Default icons for notifications */

.messageImage[type="info"] {
  list-style-image: url("chrome://global/skin/icons/information-16.png");
}

.messageImage[type="warning"] {
  list-style-image: url("chrome://global/skin/icons/warning-16.png");
}

.messageImage[type="critical"] {
  list-style-image: url("chrome://global/skin/icons/error-16.png");
}

.messageCloseButton {
  -moz-appearance: none;
  padding: 4px 2px;
  border: none !important;
}

.messageCloseButton > .toolbarbutton-icon {
  -moz-margin-end: 5px;
}

/* Popup notification */

.popup-notification-body {
  max-width: 25em;
}

.popup-notification-origin:not([value]),
.popup-notification-learnmore-link:not([href]) {
  display: none;
}

.popup-notification-origin {
  margin-bottom: .3em !important;
}

.popup-notification-learnmore-link {
  margin-top: .5em !important;
}

.popup-notification-button-container {
  margin-top: 17px;
}


.popup-notification-closebutton {
  -moz-margin-end: -14px;
  margin-top: -10px;
}

.popup-notification-menubutton > .button-menubutton-button[disabled] {
  opacity: 0.5;
}
